{
  name: "Sticky Barb",
  spritenum: 476,
  fling: {
  	basePower: 80,
  },
  onResidualOrder: 28,
  onResidualSubOrder: 3,
  onResidual(pokemon) {
  	this.damage(pokemon.baseMaxhp / 8);
  },
  onHit(target, source, move) {
  	if (source && source !== target && !source.item && move && this.checkMoveMakesContact(move, source, target)) {
  		const barb = target.takeItem();
  		if (!barb) return; /* Gen 4 Multitype */
  		source.setItem(barb);
  		/* no message for Sticky Barb changing hands */
  	}
  },
  num: 288,
  gen: 4,
}